Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.wayf.idpdisco
Class LogoMarshaller

    java.lang.Object
      org.opensaml.xml.io.AbstractXMLObjectMarshaller
          org.opensaml.common.impl.AbstractSAMLObjectMarshaller
              edu.internet2.middleware.shibboleth.wayf.idpdisco.LogoMarshaller

All Implemented Interfaces:
  org.opensaml.xml.io.Marshaller

    public class LogoMarshaller

extends org.opensaml.common.impl.AbstractSAMLObjectMarshaller

A thread safe Marshaller for `Logo` objects.

Constructor Summary
`LogoMarshaller()`

Method Summary
`protected void` | `marshallAttributes(org.opensaml.xml.XMLObject samlObject, Element domElement)`
`protected void` | `marshallElementContent(org.opensaml.xml.XMLObject samlObject, Element domElement)`

Methods inherited from class org.opensaml.common.impl.AbstractSAMLObjectMarshaller
`marshall, marshall`

Methods inherited from class org.opensaml.xml.io.AbstractXMLObjectMarshaller
`checkXMLObjectIsTarget, marshall, marshallChildElements, marshallInto, marshallNamespacePrefix, marshallNamespaces, marshallSchemaInstanceAttributes, setDocumentElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogoMarshaller

    public LogoMarshaller()

Method Detail

### marshallAttributes

    protected void marshallAttributes(org.opensaml.xml.XMLObject samlObject,
                                      Element domElement)
                               throws org.opensaml.xml.io.MarshallingException

  Overrides:
    `marshallAttributes` in class `org.opensaml.common.impl.AbstractSAMLObjectMarshaller`
  Throws:
    `org.opensaml.xml.io.MarshallingException`

### marshallElementContent

    protected void marshallElementContent(org.opensaml.xml.XMLObject samlObject,
                                          Element domElement)
                                   throws org.opensaml.xml.io.MarshallingException

  Overrides:
    `marshallElementContent` in class `org.opensaml.common.impl.AbstractSAMLObjectMarshaller`
  Throws:
    `org.opensaml.xml.io.MarshallingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Internet2. All Rights Reserved.